#ifndef INC_MLIFORMAIN_H
#define INC_MLIFORMAIN_H
//-----------------------------------------------------------------------------
/*!
\file MliForMain.h
\brief
\if english
  Header for the main program.
\endif

\if german
  Header für das Hauptprogramm.
\endif
\author Helmut Jakoby
\copyright © 2021 Helmut Jakoby
<!-- @@TermsOfLicense BEGIN -->

<b>Terms of License</b>

This file is part of the MemoryLeakIndicator module.

MemoryLeakIndicator is free software:

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

<b>GNU Lesser General Public License Usage</b><br>
You can redistribute it and/or modify it under the terms of the GNU Lesser
General Public License as published by the Free Software Foundation; either
version 3 of the License, or (at your option) any later version. Please review
the following information to ensure the GNU Lesser General Public
License version 3 requirements will be met: https://www.gnu.org/licenses/lgpl-3.0.html.

<b>GNU General Public License Usage</b><br>
Alternatively, you can redistribute it and/or modify it under the terms of the
GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version. Please
review the following information to ensure the GNU General Public License
requirements will be met: https://www.gnu.org/licenses/gpl-2.0.html and
https://www.gnu.org/licenses/gpl-3.0.html.
<!-- @@TermsOfLicense END -->
*/
//-----------------------------------------------------------------------------
#include <MilDebugNew.h>
#include <MemoryLeakIndicator.h>
//-----------------------------------------------------------------------------
#endif
