#if defined _MSC_VER && defined _DEBUG
  // detect Memory-Leaks
  #define _CRTDBG_MAP_ALLOC
  #include <crtdbg.h>
#endif

#include <iostream>
#include <string>
#include <conio.h>
#if defined _MSC_VER && defined _DEBUG_MEMORY_SPY
  #include <MliForMain.h>
#endif
//-----------------------------------------------------------------------------
class MyClass
{
  private:
    int * m_piT1;
  public:
    MyClass( int i )
    {
      m_piT1 = new int (i);
    };
    ~MyClass()
    {
      // Oh, m_piT1 forgot to delete
      //delete m_piT1;
    };
};
//-----------------------------------------------------------------------------
int main(int argc, char *argv[])
{
  #if defined _MSC_VER && defined _DEBUG
    // Displays memory leaks when there are any...
    _CrtSetDbgFlag ( _CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF );
    // Comment out next line with number from { } -> e.g..: "{173} normal block at 0x00D01C78, 10 bytes long."
    //_crtBreakAlloc = 172;
    // Is unfortunately not always (e.g. with DLLs) reliably, because if necessary other memory location.
  #endif

  #if defined _MSC_VER && defined _DEBUG_MEMORY_SPY
    MemSpy::activateMemoryMonitoring();
  #endif

  // Examples:
  MyClass * t_pClass = new MyClass( 1 );
  //delete t_pClass;

  int * t_piLeak = new int( 2 );
  //delete t_piLeak;

  char * t_szLeak = new char[100];
  //delete[] t_szLeak;

  #if defined _MSC_VER && defined _DEBUG_MEMORY_SPY
    // Display memory leaks
    MemSpy::finishMemoryMonitoring( MemSpy::OUTPUT_TRACE | MemSpy::OUTPUT_CONSOLE );
  #endif
  std::cout << "press any key . . .";
  _getch();
  return 0;
}
//-----------------------------------------------------------------------------
